Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotScale

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<Scale>
          org.eclipse.swtbot.swt.finder.widgets.SWTBotScale

    public class SWTBotScale

extends AbstractSWTBot<Scale>

Represents a scale

Author:
  John Cortell

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotScale(Scale widget)` Constructs a new instance with the given widget.
`SWTBotScale(Scale widget, SelfDescribing description)` Constructs an instance with the given widget

Method Summary
`int` | `getIncrement()` Return the increment of the scale.
`int` | `getMaximum()` Return the maximum value the scale will accept.
`int` | `getMinimum()` Return the minimum value the scale will accept.
`int` | `getPageIncrement()` Return the page increment of the scale.
`int` | `getValue()` Return the current value of the scale.
`void` | `setValue(int value)` Set the selection to the specified value.

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`absoluteLocation, assertEnabled, asyncExec, backgroundColor, click, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabled, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotScale

    public SWTBotScale(Scale widget)
                throws WidgetNotFoundException

  Constructs a new instance with the given widget.

  Parameters:
    `widget` - the widget.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

### SWTBotScale

    public SWTBotScale(Scale widget,
                       SelfDescribing description)
                throws WidgetNotFoundException

  Constructs an instance with the given widget

  Parameters:
    `widget` - the widget.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

Method Detail

### getValue

    public int getValue()

  Return the current value of the scale.

  Returns:
    the current selection in the scale.

### setValue

    public void setValue(int value)

  Set the selection to the specified value.

  Parameters:
    `value` - the value to set into the scale.

### getMaximum

    public int getMaximum()

  Return the maximum value the scale will accept.

  Returns:
    the maximum of the scale.

### getMinimum

    public int getMinimum()

  Return the minimum value the scale will accept.

  Returns:
    the minimum of the scale.

### getIncrement

    public int getIncrement()

  Return the increment of the scale.

  Returns:
    the increment of the scale.

### getPageIncrement

    public int getPageIncrement()

  Return the page increment of the scale.

  Returns:
    the increment of the scale.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD